%define	major 3
%define	libname	%mklibname gadu %{major}

Summary:	A client compatible with Gadu-Gadu
Name:		ekg
Version:	1.7
Release:	%mkrel 2
License:	GPL
Group:		Networking/Instant messaging
Source0:	http://ekg.chmurka.net/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
URL:		http://ekg.chmurka.net/
Patch0:		%{name}-makefile-ioctld-makedir.patch
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	libgsm-devel		>= 1.0.10
BuildRequires:	libaspell-devel		>= 0.60.4
BuildRequires:	libncurses-devel	>= 5.5
BuildRequires:	libjpeg-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A client compatible with Gadu-Gadu.

Build options:
- Use pthread in resolver
- Compile shared version of libgadu
- Compile with aspell
- Compile with OpenSSL
- Compile with Python bindings
- Compile with zlib (compressed logs)
- Compile with libjpeg (token support)
- Compile with ioctld (voip)

%package -n %{libname}
Summary:	Libgadu shared library
Group:		System/Libraries

%description -n %{libname}
libgadu is intended to make it easy to add Gadu-Gadu
communication support to your software.

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.%{major}*

%package -n %{libname}-devel
Summary:	Libgadu development library
Group:		Development/C
Provides:	gadu-devel = %{version}-%{release}
Provides:	libgadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc docs/{7thguard,api,ui,devel-hints,przenosny-kod}.txt docs/protocol.html docs/api/{functions,index,types,style}.*
%doc ChangeLog docs/{README,TODO} examples
%{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_includedir}/libgadu-config.h
%{_libdir}/pkgconfig/*.pc

%package -n %{libname}-static-devel
Summary:	Libgadu static library
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Libgadu static library.

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/libgadu.a

%prep
%setup -q

%patch0 -p1 -b .%{name}-makefile-ioctld-makedir

rm -fr examples/CVS
./autogen.sh

%build

%configure2_5x \
	--enable-libgadu-openssl \
	--enable-dynamic \
	--enable-static \
	--enable-aspell \
	--enable-shared \
	--enable-ioctld \
	--with-pthread \
	--with-python \
	--with-libgsm \
	--disable-debug

%make
pushd docs/api
./make.pl
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install contrib/ekl2.pl %{buildroot}%{_bindir}
install contrib/ekl2.sh %{buildroot}%{_bindir}
install docs/ekl2.man.pl %{buildroot}%{_mandir}/pl/man1/ekl2.1
install docs/ekl2.man.en %{buildroot}%{_mandir}/man1/ekl2.1
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/ekg.conf
rm -f examples/Makefile examples/Makefile.in examples/.cvsignore

#fix wrong-script-end-of-line-encoding /usr/bin/ekl2.pl 
perl -pi -e 's/\015$//' %{buildroot}/%{_bindir}/ekl2.pl

#Remove bad requires from libgadu.pc
perl -pi -e 's/@[^@]*@//' %{buildroot}%{_libdir}/pkgconfig/libgadu.pc  

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc docs/{7thguard,dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/e*
%attr(755,root,root) %{_bindir}/ioctld
%{_datadir}/ekg
%{_mandir}/man1/*
%{_mandir}/pl/man1/*


%changelog
* Mon May 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-2mdv2008.0
+ Revision: 29441
- enable libgadu openssl support
- disable debug

* Sun Apr 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2008.0
+ Revision: 19138
- update to final version 1.7

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070427.1mdv2008.0
+ Revision: 18976
- new snapshot

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070422.1mdv2008.0
+ Revision: 17298
- new snapshot (libgadu fixes)

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070420.1mdv2008.0
+ Revision: 16492
- new snapshot(gg 7.7 build 3315 compatible)


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070305.2mdv2007.0
+ Revision: 134119
- add requires on libgadu for devel package

* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070305.1mdv2007.1
+ Revision: 133868
- new snapshot

* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070226.1mdv2007.1
+ Revision: 126602
- new snapshot
- remove duplicated provides/requires

* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070128.2mdv2007.1
+ Revision: 115078
- missing provides for x86_64 :(

* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070128.1mdv2007.1
+ Revision: 114942
- new snapshot (better compatibility with gadu-gadu protocol)
- fix provides
- minor fixes in spec file

* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7-0.20070107.2mdv2007.1
+ Revision: 110802
- make it provide gadu-devel

* Mon Jan 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20070107.1mdv2007.1
+ Revision: 105432
- new snapshot

* Sat Dec 30 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20061229.1mdv2007.1
+ Revision: 102808
- new snapshot
- spec file clean
- fix wrong-script-end-of-line-encoding /usr/bin/ekl2.pl
- fix wrong requires in libgadu.pc
- add static package

* Sun Dec 24 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-0.20061223.1mdv2007.1
+ Revision: 101972
- changed to latest snapshot to provide better compatibility with recent Gadu-Gadu protocol

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 1.7-0.rc2.4mdv2007.1
+ Revision: 72591
- enable ssl support

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 1.7-0.rc2.3mdv2007.1
+ Revision: 72589
- fix buildrequires, description and installation (TPG)

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1.7-0.rc2.2mdv2007.1
+ Revision: 71586
- disable ssl support
- Import ekg

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1.7-0.rc2.1mdv2007.1
- initial package for mdv

* Fri Oct 20 2006 Tomasz Paweł Gajc <phenomenal@wp.pl> 
- Initial package for mandriva2007.0

